import { BaseDataService } from 'src/core/modules/data/service/base-data.service';
import { Injectable } from '@nestjs/common';
import { InjectRepository } from '@nestjs/typeorm';
import { Repository } from 'typeorm';
import { CONNECTION_NAME } from 'src/core/strings/constants/base.constants';
import { LogUserLoginEntity } from '../../domain/entities/log-user-login.entity';
import { LogUserLoginModel } from '../models/log-user-login.model';

@Injectable()
export class LogUserLoginService extends BaseDataService<LogUserLoginEntity> {
  constructor(
    @InjectRepository(LogUserLoginModel, CONNECTION_NAME.DEFAULT)
    private repo: Repository<LogUserLoginModel>,
  ) {
    super(repo);
  }

  async saveData(data) {
    this.repo.save(data);
  }
}
